API referenceEndpoints
Search stations
Returns stations matching optional text, destination and status filters, paginated.
GET
/referential/v1/stationsReturns stations matching optional text, destination and status filters, paginated.
Authorization
oauth2 AuthorizationBearer <token>
In: header
Query Parameters
search?string
destinationId?string
status?string
Value in
- "ACTIVE"
- "RETIRED"
sort?string
Value in
- "codeAsc"
- "codeDesc"
- "newest"
- "oldest"
page?integer
Format
int32size?integer
Format
int32Response Body
*/*
curl -X GET "https://example.com/referential/v1/stations"{ "data": [ { "id": "string", "destinationId": "string", "code": "string", "name": "string", "latitude": 0.1, "longitude": 0.1, "status": "string", "managed": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "page": 0, "size": 0, "total": 0}